
--map variables
map_w = 20
map_h = 20
map_x = 0
map_y = 0
map_offset_x = 30
map_offset_y = 30

map = {
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
	{ 0, 0, 0, 1, 0, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
	{ 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
	{ 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
	{ 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
	{ 0, 0, 0, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 1, 1, 1, 1, 1, 0, 0},
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0},
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0},
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 1, 1, 0, 0},
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 0, 1, 0, 0, 1, 0, 0},
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 0, 1, 0, 0, 1, 0, 0},
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0},
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
}

function draw_map()
	for y=1, map_h do
		for x=1, map_w do
			if map[y][x] == 0 then
				love.graphics.print(".", x + map_offset_x, y + map_offset_y)
				
			else
				love.graphics.print("#", x + map_offset_x, y + map_offset_y)
				
			end
		end
	end
end

function love.load()
	-- Only runs when the game is first started
	units = {}
	units[1] = 		{ 
					x = 10,
					y = 10,
					glyph = "@"
				}

	units[2] = 		{ 
					x = 760,
					y = 10,
					glyph = "@"
				}


	love.graphics.setBackgroundColor( 0, 0, 0 )
end

function love.draw()
	love.graphics.setColor(255, 0, 0)

	draw_map()

	--Characters 
	love.graphics.setColor(0,255, 0
		)
	love.graphics.print(units[1].glyph, units[1].x, units[1].y)
	love.graphics.print(units[2].glyph, units[2].x, units[2].y)
end

function love.update( dt )
	-- dt tell how long it took between each function call
	-- Similar to draw function
end

function love.focus( bool )
	-- Run when you focus on the game or out of it
	-- False when not focused / true when focused
end

function love.keypressed( key, unicode )
	-- body
	if key == "w" then
		units[1].y = units[1].y - 1
	elseif key == "s" then
		units[1].y = units[1].y + 10
	elseif key == "a" then
		units[1].x = units[1].x -1
	elseif key == "d" then
		units[1].x = units[1].x + 10
	end

	if key == "up" then
		units[2].y = units[2].y - 1
	elseif key == "down" then
		units[2].y = units[2].y + 10
	elseif key == "left" then
		units[2].x = units[2].x -1
	elseif key == "right" then
		units[2].x = units[2].x + 10
	end
end

function love.keyreleased( key, unicode )
	-- body
end

function love.mousepressed( x, y, button )
	if button == "l" then
		units[1].x = x
		units[1].y = y
	end 

	if button == "r" then
		units[2].x = x
		units[2].y = y
	end 
end

function love.mousereleased( x, y, button )
	-- body
end

function love.quit()
	-- Called the second before the game closes
end

